curl --request GET \
--url https://apis.experro.app/content/v2/content-models/{modelInternalName}/records/{recordId} \
--header 'Authorization: Bearer <token>' \
--header 'x-environment-id: <x-environment-id>' \
--header 'x-tenant-id: <x-tenant-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://apis.experro.app/content/v2/content-models/{modelInternalName}/records/{recordId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"x-workspace-id": "<x-workspace-id>",
"x-environment-id": "<x-environment-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-tenant-id': '<x-tenant-id>',
'x-workspace-id': '<x-workspace-id>',
'x-environment-id': '<x-environment-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://apis.experro.app/content/v2/content-models/{modelInternalName}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": "success",
"Data": {
"record": {
"id": "<string>",
"version_no": 123,
"page_slug": "<string>",
"page_title": "<string>",
"version_name": "<string>",
"seo": [
{
"id": "<string>"
}
],
"thumbnail_image": [
"<string>"
],
"content_model_name": "<string>",
"current_version_id": "<string>",
"title": "<string>",
"version_id": "<string>",
"record_data_language": "<string>",
"categories": [
"<string>"
]
},
"_meta_": {
"tenant_id": "<string>",
"workspace_id": "<string>",
"env_type": "<string>",
"store_hash": "<string>",
"content_model_id": "<string>",
"_fields_": {}
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"Status": "failure",
"Data": {
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}Get Record By Id
Fetch detailed information for one record in the specified content model by its unique ID. Supports field selection, localization, and optional metadata for each field.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifier for the tenant. Ensures data isolation per tenant.
Workspace identifier within the tenant. Scopes resources to a specific workspace.
Unique identifier of the target environment. Used to scope the API call to a specific deployment environment.
"PRODUCTION-15a0f8c2-a5e8-4e40-ae74-cb1389d22f45-w49jkngj"
Path Parameters
Internal name of the content model (e.g. blogPost).
Unique identifier of the record to retrieve.
Query Parameters
Comma-separated list of fields to include in the response
Specifies the language or region for the response data
Flag to include meta details of the specified fields. When true, includes metadata for each requested field.